/**
 * Make `T`, and all properties in `T`, immutable, by recursively making all of
 * `T`'s properties readonly.
 *
 * @param   {any}   T
 *          The object to make immutable.
 */
export declare type Immutable<T> = {
    readonly [K in keyof T]: Immutable<T[K]>;
};
